@extends('admin.layout.master')
@section('title', 'الاسليدر')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاسليدر</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('sliders.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالعربية</label>
                                <input type="text" class="form-control" required value="{{old('title_ar')}}"
                                       name="title_ar"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالعربية">
                                @if ($errors->has('title_ar'))
                                    <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالانجليزية</label>
                                <input type="text" class="form-control" required value="{{old('title_en')}}"
                                       name="title_en"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالانجليزية">
                                @if ($errors->has('title_en'))
                                    <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">النص باللغة العربية</label>
                                <textarea class="form-control"
                                          name="note_ar"> {{old('note_ar')}} </textarea>
                                @if ($errors->has('note_ar'))
                                    <small class="text-danger">{{ $errors->first('note_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">النص باللغة الانجليزية</label>
                                <textarea class="form-control"
                                          name="note_en"> {{old('note_en')}} </textarea>
                                @if ($errors->has('note_en'))
                                    <small class="text-danger">{{ $errors->first('note_en') }}</small>
                                @endif
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة</h4>
                                        <input type="file" name="image" class="dropify"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop

