<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return redirect()->route('admin');
});

Route::group(['namespace' => 'Admin'], function () {

    Route::get('/admin_login', 'HomeController@login')->name('admin_login');
    Route::post('authenticate', 'HomeController@authenticate')->name('authenticate');

    Route::group(['middleware' => 'admin:admin', 'prefix' => 'admin'], function () {
        Route::get('/', 'HomeController@index')->name('admin');
        Route::get('admin_logout', 'HomeController@admin_logout')->name('admin_logout');

        Route::resources([
            'admins' => 'AdminsController',
            'users' => 'UsersController',
            'brands' => 'BrandsController',
            'settings' => 'SettingsController',
            'categories' => 'CategoriesController',
            'offers_sliders' => 'OffersSlidersController',
            'suggested_coupons' => 'SuggestedCouponsController',
            'helps' => 'HelpsController',
            'notifications' => 'NotificationsController',
            'items' => 'ItemsController',
            'offers' => 'OffersController',

        ]);
    });

});
